<?php
     set_time_limit (0);
     date_default_timezone_set("Portugal");
     session_start();
     $per = explode(",", $_SESSION['password']);
     $idUser = $per[0];
     $nivelUser = $per[3];

     $currentDate=date('Y-m-d');
     $filename = "Leads_Caminhus_Compatibilidade_".$currentDate;
   
     $con = mysqli_connect("localhost", "bluemark_OMHwp", "dtZtX8e9Xd1X", "bluemark_OMHwp")or die(json_encode("unconnected"));

     //muda a formatacao de defeito para utf-8
     if (!mysqli_set_charset($con, "utf8")) 
     {
           json_encode("erro de caracter");
     } 

     //header info for browser
     header("Content-Type: application/vnd.ms-excel; charset=utf-8");
     header("Content-Disposition: attachment; filename=$filename.xls"); 
     header("Pragma: no-cache"); 
     header("Expires: 0");


     /*******Start of Formatting for Excel*******/   
     //define separator (defines columns in excel & tabs in word)
     $sep = "\t"; //tabbed character

     //start of printing column names as names of MySQL fields
     $ant= utf8_decode('Anotações');
     $vn= utf8_decode('Volume de Negócio');

     echo  "Email \t Nome \t Genero \t Telefone \t Data Nascimento \t Desejo \t Data de Registo \t Estado \t Anotações \t Valor das vendas";
     echo "\n";
     //end of printing column names  

     $result = mysqli_query($con,"select OMH_registosLaura.FNAME, OMH_registosLaura.LNAME, OMH_registosLaura.BDATE, OMH_registosLaura.GENDER, LeadCampanha.Lead, OMH_registosLaura.EMAIL, OMH_registosLaura.DESEJO, OMH_registosLaura.TELEFONE, OMH_registosLaura.SIGNO,  OMH_registosLaura.site, LeadCampanha.DataHoraRegisto from OMH_registosLaura right join LeadCampanha on OMH_registosLaura.EMAIL = LeadCampanha.Lead  where  (LeadCampanha.Campanha = 'EspAbsCompPT' or LeadCampanha.Campanha = 'CaminhusES') and OMH_registosLaura.site like '%esp%' and OMH_registosLaura.telefone not like '' group by LeadCampanha.lead ORDER BY LeadCampanha.dataHoraRegisto DESC");


     //Coloca em row os valores da query, corrigindo valores se necessário
     while ($row = mysqli_fetch_assoc($result)) 
     {
                     $row['dataHoraRegisto']=$row['DataHoraRegisto'];
                     $res[]=$row;
     }

     for($i=0;$i<sizeof($res);$i++)
     {
          $result = mysqli_query($con,"select * from LM_EspacoAbsolutoCompatibilidade_History where Lead='".$res[$i]['EMAIL']."' order by DataHoraRegisto desc ");

          // $row = mysqli_fetch_array($result, MYSQL_ASSOC);
          $row = mysqli_fetch_assoc($result);
          $res[$i]['FNAME'] = utf8_decode($res[$i]['FNAME']);
          $res[$i]['LNAME'] = utf8_decode($res[$i]['LNAME']);
          $res[$i]['ValorVenda'] = utf8_decode($row['ValorVenda']);
          $res[$i]['Anotacoes'] = utf8_decode($row['Anotacoes']);
          $res[$i]['Estado'] = utf8_decode($row['Estado']);
          $res[$i]['DESEJO'] = utf8_decode($res[$i]['DESEJO']);

          if($nivelUser==2  || $res[$i]['Estado']=='Recebido' || ($res[$i]['Estado']!='Recebido' && $idUser==$res[$i]['UserID'] ))
          {
                echo $res[$i]['EMAIL']."\t".$res[$i]['FNAME']." ".$res[$i]['LNAME']."\t".$res[$i]['GENDER']."\t".$res[$i]['TELEFONE']."\t".$res[$i]['BDATE']."\t".$res[$i]['DESEJO']."\t".$res[$i]['dataHoraRegisto']."\t".$res[$i]['Estado']."\t".$res[$i]['Anotacoes']."\t".$res[$i]['ValorVenda'];
                echo "\n";
          }

     }


     mysqli_close($con);
     exit;

?>